Package com.trilead.ssh2.crypto.digest

## Interface Digest

All Known Implementing Classes:
  `HMAC`, `MD5`, `SHA1`

    public interface Digest

Digest.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `digest​(byte[] out)`
`void` `digest​(byte[] out, int off)`
`int` `getDigestLength()`
`void` `reset()`
`void` `update​(byte b)`
`void` `update​(byte[] b)`
`void` `update​(byte[] b, int off, int len)`

### Method Detail

#### getDigestLength

    int getDigestLength()

#### update

    void update​(byte b)

#### update

    void update​(byte[] b)

#### update

    void update​(byte[] b,
                int off,
                int len)

#### reset

    void reset()

#### digest

    void digest​(byte[] out)

#### digest

    void digest​(byte[] out,
                int off)